=== debian/changelog ===
k3b (2.0.1-2) unstable; urgency=medium

  * Fix a typo in the k3b.bug-script.
  * Report a proper capacity for BD-R disks (patch
    114_bug587996_bdr_capacity_fix.diff). (Closes: #587996)
  * Urgency=medium to get it to Squeeze faster.

 -- Modestas Vainius <modax@debian.org>  Wed, 29 Dec 2010 23:00:04 +0200

k3b (2.0.1-1) unstable; urgency=low

  * New upstream release:
    - Freeze on ripping Audio CD using external encoder to MP3 or FLAC
      (Closes: #581598).
    - Symbolic links are not added to a project when a folder is added
      recursively (Closes: #581070).

  [ Mark Purcell ]
  * Add debian/k3b.bug-presubj advising users of upstream support options.
  * Include wodim -checkdrive in reportbug output (debian/k3b.bug-script).
  * Update debian/watch - svn-upgrade.

  [ Fathi Boudra ]
  * Remove patches to improve dvd+rw-tools output parsing functions - merged
    upstream.
  * Update installed files.
  * Merge Ubuntu changes: set k3b as the default handler for iso files rather
    than ark.

 -- Fathi Boudra <fabo@debian.org>  Tue, 17 Aug 2010 09:05:35 +0300

k3b (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add hal dependency to k3b package.
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 28 Jun 2010 21:31:16 +0300

k3b (1.93.0~rc4-1) unstable; urgency=low

  * New upstream release.
  * Update debian/k3b-i18n.install: handbook moved to userbase.kde.org.
  * Remove 102_rename_dvd+rw-tools.diff patch.
  * Add patches to improve dvd+rw-tools output parsing functions:
    - 01_dvd+rw-tools_format_parse_version.diff
    - 02_dvd+rw-tools_format_parse_copyright.diff
    - 03_dvd+rw-tools_booktype_parse_version.diff

 -- Fathi Boudra <fabo@debian.org>  Fri, 18 Jun 2010 21:25:46 +0300

k3b (1.0.5-3) unstable; urgency=high

  * Acknowledge NMU (closes: #486112)
  * k3b: Add a versioned dependency on libk3b3 (closes: #486093)

 -- Francois Marier <francois@debian.org>  Fri, 20 Jun 2008 10:40:19 +1200

k3b (1.0.5-2.1) unstable; urgency=high

  * Non-maintainer upload, acked by uploader Fathi Boudra.
  * Add various missing replaces. (Closes: #486112)

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 18 Jun 2008 18:37:36 +0200

k3b (1.0.5-2) unstable; urgency=low

  [ Michael Meskes ]
  * Moved changes in file src/k3b.desktop to a patch under debian/patches.

  [ Francois Marier ]
  * Sync with Ubuntu
    - Add kfile_k3b.so to k3b.install
    - libk3b3-extracodecs replaces libk3b2-extracodecs
  * Bump Standards-Version up to 3.8.0 (no changes)
  * Remove the KUBUNTU difference file

 -- Francois Marier <francois@debian.org>  Thu, 12 Jun 2008 14:20:20 +1200
