=== debian/control ===
Source: k3b
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Michael Meskes <meskes@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), libavformat-dev, libdvdread-dev, libflac++-dev,
 libflac-dev, libkcddb-dev, libmad0-dev, libmpcdec-dev, libmusicbrainz4-dev,
 libsamplerate0-dev, libsndfile1-dev, libtag1-dev, shared-mime-info,
 libvorbis-dev, libcam-dev [kfreebsd-i386 kfreebsd-amd64]
Standards-Version: 3.9.1
Homepage: http://www.k3b.org
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/k3b/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/k3b/trunk/

Package: k3b
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 k3b-data (= ${source:Version}), libk3b6 (= ${binary:Version}),
 wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, hal
Recommends: libk3b6-extracodecs, dvd+rw-tools, vcdimager
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2
Replaces: k3b-data (<< 1.66.0~alpha2-1)
Description: A sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Replaces: k3b-data (<< 1.70.0~beta1)
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all 
Depends: ${misc:Depends}, k3b
Description: A sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libk3b6 (= ${binary:Version})
Description: The KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b6-extracodecs
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: k3b-dbg
Section: debug
Architecture: any
Priority: extra
Depends: k3b (= ${binary:Version}), ${misc:Depends}
Description: A sophisticated CD/DVD burning application - debugging symbols
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the debugging symbols associated with k3b. They will
 automatically be used by gdb for debugging k3b-related issues.
