## k3b 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ##################  K3b version  ################################
 set(K3B_VERSION_MAJOR   2)
 set(K3B_VERSION_MINOR   0)
-set(K3B_VERSION_RELEASE 1)
+set(K3B_VERSION_RELEASE 2)
 set(K3B_VERSION_STRING "${K3B_VERSION_MAJOR}.${K3B_VERSION_MINOR}.${K3B_VERSION_RELEASE}")
 
 # increase on BC breakage
@@ -19,14 +19,15 @@
 
 
 ##################  K3b options #################################
-if (NOT WIN32)
-    option(K3B_BUILD_K3BSETUP "Build k3bsetup" ON)
-endif(NOT WIN32)
 option(K3B_DEBUG "K3b additional debugging support")
 option(K3B_ENABLE_MUSICBRAINZ "Support for querying metadata about audio tracks from Musicbrainz." ON)
 option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
 option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
 option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)
+if(NOT WIN32 AND NOT APPLE)
+  option(K3B_BUILD_K3BSETUP "Graphical utility for managing device permissions" ON)
+  option(K3B_ENABLE_HAL_SUPPORT "Support for inhibiting HAL from polling disk during write." ON)
+endif(NOT WIN32 AND NOT APPLE)
 
 # plugin options
 option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
@@ -224,9 +225,9 @@
  set(BUILD_EXTERNAL_ENCODER_PLUGIN 1)
 endif(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN)
 
-if(NOT WIN32 AND NOT APPLE)
+if(K3B_ENABLE_HAL_SUPPORT)
   set(ENABLE_HAL_SUPPORT 1)
-endif(NOT WIN32 AND NOT APPLE)
+endif(K3B_ENABLE_HAL_SUPPORT)
 
 configure_file (config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h )
 
@@ -282,6 +283,7 @@
 add_subdirectory( src )
 add_subdirectory( kioslaves )
 add_subdirectory( plugins )
+add_subdirectory( doc )
 if(BUILD_K3BSETUP)
    add_subdirectory(k3bsetup)
 endif(BUILD_K3BSETUP)
@@ -289,6 +291,6 @@
 
 ##################  K3b config summary ################################
 macro_display_feature_log()
-find_package(Msgfmt REQUIRED)
-find_package(Gettext REQUIRED)
-add_subdirectory( po )
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )
