=== libk3b/projects/audiocd/CMakeLists.txt ===
install( FILES
  k3baudiodoc.h
  k3baudiojob.h
  k3baudiocdtrackdrag.h
  k3baudiotrack.h
  k3baudiodatasource.h
  k3baudiofile.h
  k3baudiozerodata.h
  k3baudiocdtracksource.h
  k3baudiodatasourceiterator.h
  k3brawaudiodatasource.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
  COMPONENT Devel )
