=== libk3b/projects/datacd/CMakeLists.txt ===
install( FILES  k3bdatadoc.h  			k3bdatajob.h  			k3bdataitem.h  			k3bdiritem.h  			k3bfileitem.h  			k3bbootitem.h  			k3bisooptions.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
