=== libk3b/projects/movixcd/CMakeLists.txt ===
install( FILES  k3bmovixdoc.h  			k3bmovixjob.h  			k3bmovixfileitem.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel )
