=== debian/changelog ===
k3b (2.0.2-7ubuntu1) trusty; urgency=low

  * Merge with Debian, remaining changes:
    - Suggest, not recommend libk3b6-extracodecs (Cannot be on the CD)
    - Do not ship k3b documentation, it's for the KDE3 version.
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_05_no_system_settings.diff
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.
    - swap kubuntu_06_libav_0.7.diff for Debian's
      Fixed_compilation_with_new_FFMPEG.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Nov 2013 10:36:01 +0000

k3b (2.0.2-7) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Enable the lame-based MP3 encoding plugin (based on Pino's work):
    - Build-Depend on libmp3lame-dev.
    - Install the new plugin (and its configuration) in libk3b6-extracodecs.

  [ Pino Toscano ]
  * Update Vcs-* headers.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add Fix-K3B-to-build-with-recent-FFMPEG-versions.patch (backported from
    upstream branch 2.0) and ffmpeg-more.diff to fix compatibility with newer
    ffmpeg/libav versions. (Closes: #720799)
  * Add Prefer-growisofs-to-wodim-for-DVD-BluRay-burning.patch (backported from
    upstream branch 2.0) to prefer growisofs to wodim for DVD/BluRay; add the
    growisofs recommend. (Closes: #714944)
  * Suggest kde-config-cddb for the CDDB configuration page. (Closes: #696828)

 -- Pino Toscano <pino@debian.org>  Sun, 25 Aug 2013 18:42:53 +0200

k3b (2.0.2-6ubuntu1) raring-proposed; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Suggest, not recommend libk3b6-extracodecs (Cannot be on the CD)
    - Do not ship k3b documentation, it's for the KDE3 version.
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_05_no_system_settings.diff
    - Keep kubuntu_06_libav_0.7.diff and disable Debian's
      Fixed_compilation_with_new_FFMPEG.patch
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 29 Oct 2012 13:49:44 -0400

k3b (2.0.2-6) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Compress k3b-data and k3b-i18n as xz.
  * Add fix-sox-detection-with-sox-14.4.0.patch (backported from upstream
    branch 2.0) to fix the detection of sox >= 14.4. (Closes: #675737)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Aug 2012 17:54:37 -0300

k3b (2.0.2-5ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Suggest, not recommend libk3b6-extracodecs (Cannot be on the CD)
    - Do not ship k3b documentation, it's for the KDE3 version.
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_05_no_system_settings.diff
    - Keep kubuntu_06_libav_0.7.diff and disable Debian's
      Fixed_compilation_with_new_FFMPEG.patch
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 16 Jun 2012 19:34:50 -0400

k3b (2.0.2-5) unstable; urgency=low

  * Team upload.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Drop the libmusicbrainz4-dev build dependency, since musicbrainz v2 is
    long deprecated and will be removed soon. (Closes: #666531)
  * Bump to debhelper compatibility v9:
    - bump the debhelper build dependency to 9
    - bump compat to 9
  * Link with --as-needed.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Jun 2012 12:30:03 +0200

k3b (2.0.2-4ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Remove build depends on libdvdread-dev, libmusicbrainz4-dev from
      universe.
    - Suggest, not recommend libk3b6-extracodecs (multiverse)
    - Suggest, not recommend vcdimager (universe)
    - Disable the k3b-i18n package. Rosetta handles the translations since
      k3b is in main, and we aren't shipping docs at the moment for k3b
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_05_no_system_settings.diff
    - Keep kubuntu_06_libav_0.7.diff and disable Debian's
      Fixed_compilation_with_new_FFMPEG.patch
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 20 May 2012 13:29:35 -0400

k3b (2.0.2-3ubuntu4) precise; urgency=low

  * debian/patches/kubuntu_07_quicklists.diff:
    - Add some quicklist actions.  Patch by Graham Castleton.

 -- Michael Terry <mike@mterry.name>  Thu, 15 Mar 2012 14:13:16 -0400

k3b (2.0.2-4) unstable; urgency=low

  * Team upload.
  * Add k3bscsicommand_bsd-Do-not-access-the-scsi_sense_data.patch (backported
    from upstream branch 2.0) to fix compatibility with FreeBSD >= 9.0
    libraries. (Closes: #660398)
  * Update patch 101_rename_normalize.diff to properly consider "normalize"
    the identifier to use for the normalize-audio version (thus fixing the
    normalize-audio detection). (Closes: #597155)
  * Add k3bsetup-put-the-shebang-in-the-first-line.patch (backported from
    upstream) to fix the detection of k3bsetup as shell script.
  * control: remove ${shlibs:Depends} from k3b-data and k3b-extrathemes.


